
TYPO3.Neos - Feature # 48235

Work Package # 47023 (Accepted): Global user interface
Feature # 48233 (Resolved): Top bar

Status: Closed Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-05-16 Assigned To: Rasmus Skjoldan
Updated: 2014-10-04 Due date:
Subject: Publish menu
Description

Implement a publish menu with options for just publishing the current page and a dropdown menu for options like "Publish all
changes", "Publish lock", etc.

We need a way to distinguish if there's unpublished changes or not. By making the button green and changing the label to "Published"
when there are no unpublished changes, it is clear easier for the user to know that they need to publish their changes.

Subtasks:
Feature # 49933: Add "Publish all changes" option Resolved
Bug # 49936: Auto-publish functionality behaves inconsistently Resolved

Associated revisions
Revision 9a313ff6 - 2013-07-11 09:39 - Aske Ertmann

[TASK] Fix arrow styling on publish and user menu

Change-Id: I0fe0f457f5a2095ca441431d6ab23b1ce620833a
Related: #48234
Related: #48235
Reviewed-on: https://review.typo3.org/22129
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Tested-by: Mr. Hudson
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

Revision 80af9d88 - 2013-07-18 09:54 - Aske Ertmann

[TASK] Add published state to publish component

Also fixes some inconsistencies with the auto publish state

Change-Id: I6bf23e523f9eebf37d2cb7aa0d53cff1343e7131
Resolves: #48235
Fixes: #49936
Reviewed-on: https://review.typo3.org/22369
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Tested-by: Mr. Hudson
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Revision 8013defe - 2013-09-30 19:16 - Mattias Nilsson

[TASK] Add number of changes to publish menu button

Introduces the number of unpublished nodes to the
publish menu button. This is to make it more visible
for the user how many numbers of changes there is to
be published

Change-Id: Idbb1c65f7a4b54463ee975a4ab50541326a1ad02
Related: #48235
Reviewed-on: https://review.typo3.org/24111
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Mattias Nilsson
Tested-by: Mattias Nilsson

History
#1 - 2013-05-16 09:56 - Aske Ertmann
- Subject changed from Workspace menu to Publish menu

#2 - 2013-07-10 13:37 - Aske Ertmann
- Assigned To set to Rasmus Skjoldan

#3 - 2013-07-11 21:08 - Aske Ertmann
- Target version set to 1.0 alpha 5

#4 - 2013-07-16 23:14 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22369

#5 - 2013-07-17 22:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22369

#6 - 2013-07-18 10:38 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:80af9d88fd182bb4032a88f8af3afd8a45f22968.

#7 - 2014-10-04 17:18 - Sebastian Helzle
- Status changed from Resolved to Closed
Fixed in 1.0
